import localFont from 'next/font/local';
import Navigation from '@/components/Navigation';
import Board from '@/components/Board';
import Content from '@/components/Content';
import BackgroundImage from 'public/assets/Images/background.jpg';

import './globals.scss';

const ttSmalls = localFont({
  src: [
    {
      path: '../../public/assets/fonts/TTSmalls-Medium.woff2',
      weight: '500',
      style: 'normal',
    },
    {
      path: '../../public/assets/fonts/TTSmalls-SemiBold.woff2',
      weight: '600',
      style: 'normal',
    },
    {
      path: '../../public/assets/fonts/TTSmalls-Bold.woff2',
      weight: '700',
      style: 'normal',
    },
  ],
  variable: '--font-tt-smalls',
});

const background = `linear-gradient(
  0deg,
  rgba(38, 37, 52, 0.72) 0%,
  rgba(38, 37, 52, 0.72) 100%
),
linear-gradient(
  0deg,
  rgba(255, 255, 255, 0.24) 0%,
  rgba(255, 255, 255, 0.24) 100%
),
url(${BackgroundImage.src}) 0% 0% / cover no-repeat`;

export const metadata = {
  title: 'Positions board',
  description: 'Generated by create next app',
};

export default function RootLayout({ children }) {
  return (
    <html lang="en">
      <body
        className={`${ttSmalls.variable} font-sans`}
        style={{ background }}
        suppressHydrationWarning={true}
      >
        <Board>
          <Navigation />
          <Content>{children}</Content>
        </Board>
      </body>
    </html>
  );
}
